﻿
Sys.Application.add_init(Init);
var intervalID = null;

function Init(sender)
{
  var prm = Sys.WebForms.PageRequestManager.getInstance();
  //Ensure EnablePartialRendering isn't false which will prevent
  //accessing an instance of the PageRequestManager
  if (prm)
  {
      if (!prm.get_isInAsyncPostBack())
      {
            prm.add_beginRequest(BeginRequest);
            prm.add_endRequest(EndRequest);
      }
  }
}

function BeginRequest(sender,args)
{
    intervalID = window.setInterval("Animate()", 500);
}

function EndRequest(sender,args)
{
    window.clearInterval(intervalID);
    $get("divAnimate").className = "Normal";
    $get("lblLastUpdate").innerHTML = new Date().toLocaleTimeString();
}

function Animate()
{
    var div = $get("divAnimate");
    div.className = GetCssClass(div.className);
}

function GetCssClass(currClass)
{
    return (currClass=="DottedLines")?"SolidLine":"DottedLines";
}

if(typeof(Sys) !== "undefined") Sys.Application.notifyScriptLoaded(); 
